Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.i18n
Class CxfMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.module.cxf.i18n.CxfMessages

    public class CxfMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`CxfMessages()`

Method Summary
`static Message` | `annotationsRequireJava5()`
`static Message` | `bothServiceClassAndWsdlUrlAreRequired()`
`static Message` | `couldNotInitAnnotationProcessor(Object object)`
`static Message` | `inappropriateMessageTypeForAttachments(org.apache.cxf.message.Message message)`
`static Message` | `incorrectlyFormattedEndpointUri(String uri)`
`static Message` | `invalidFrontend(String frontend)`
`static Message` | `invalidOrMissingNamespace(QName serviceQName, List<QName> probableServices, List<QName> allServices)`
`static Message` | `invalidPayloadToArgumentsParameter(String nullPayloadParameterValue)`
`static Message` | `javaComponentRequiredForInboundEndpoint()`
`static Message` | `mustSpecifyPort()`
`static Message` | `noOperationWasFoundOrSpecified()`
`static Message` | `onlyServiceOrClientClassIsValid()`
`static Message` | `portNotFound(String port)`
`static Message` | `serviceClassRequiredWithPassThrough()`
`static Message` | `serviceIsNull(String serviceName)`
`static Message` | `unableToConstructAdapterForNullMessage()`
`static Message` | `unableToInitBindingProvider(String bindingProvider)`
`static Message` | `unableToLoadServiceClass(String classname)`
`static Message` | `wsdlNotFound(String loc)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CxfMessages

    public CxfMessages()

Method Detail

### serviceIsNull

    public static Message serviceIsNull(String serviceName)

### annotationsRequireJava5

    public static Message annotationsRequireJava5()

### couldNotInitAnnotationProcessor

    public static Message couldNotInitAnnotationProcessor(Object object)

### unableToInitBindingProvider

    public static Message unableToInitBindingProvider(String bindingProvider)

### unableToLoadServiceClass

    public static Message unableToLoadServiceClass(String classname)

### unableToConstructAdapterForNullMessage

    public static Message unableToConstructAdapterForNullMessage()

### inappropriateMessageTypeForAttachments

    public static Message inappropriateMessageTypeForAttachments(org.apache.cxf.message.Message message)

### bothServiceClassAndWsdlUrlAreRequired

    public static Message bothServiceClassAndWsdlUrlAreRequired()

### incorrectlyFormattedEndpointUri

    public static Message incorrectlyFormattedEndpointUri(String uri)

### invalidFrontend

    public static Message invalidFrontend(String frontend)

### portNotFound

    public static Message portNotFound(String port)

### mustSpecifyPort

    public static Message mustSpecifyPort()

### wsdlNotFound

    public static Message wsdlNotFound(String loc)

### noOperationWasFoundOrSpecified

    public static Message noOperationWasFoundOrSpecified()

### javaComponentRequiredForInboundEndpoint

    public static Message javaComponentRequiredForInboundEndpoint()

### serviceClassRequiredWithPassThrough

    public static Message serviceClassRequiredWithPassThrough()

### invalidPayloadToArgumentsParameter

    public static Message invalidPayloadToArgumentsParameter(String nullPayloadParameterValue)

### invalidOrMissingNamespace

    public static Message invalidOrMissingNamespace(QName serviceQName,
                                                    List<QName> probableServices,
                                                    List<QName> allServices)

### onlyServiceOrClientClassIsValid

    public static Message onlyServiceOrClientClassIsValid()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.